Scriptname CCF_StartUpScript_KRY extends Quest  

Outfit Property MonkOutfitArkayHallofDead_KRY  Auto
Outfit Property MonkOutfitArkayHallofDeadNoHood_KRY  Auto
Outfit Property MonkOutfitBlueTalos_KRY  Auto
Outfit Property MonkOutfitBlueTaloswBlueHood_KRY  Auto
Outfit Property MonkOutfitBlueTaloswWhiteHood_KRY  Auto
Outfit Property MonkOutfitBlueTaloswBlackHood_KRY  Auto
Outfit Property MonkOutfitGreenKynarethwHood_KRY  Auto
Outfit Property MonkOutfitGreenKynarethNoHood_KRY  Auto
Outfit Property MonkOutfitBrownDiabellawHood_KRY  Auto
Outfit Property MonkOutfitBrownDiabellaNoHood_KRY  Auto
Outfit Property MonkOutfitRedAkatoshwRedHood_KRY  Auto
Outfit Property MonkOutfitRedAkatoshNoHood_KRY  Auto
Outfit Property MonkOutfitMara_KRY  Auto
Outfit Property MonkOutfitMaraNoHood_KRY  Auto
Outfit Property CollegeMasterConjurationOutfitwBlackHood_KRY  Auto
Outfit Property CollegeApprenticeConjurationOutfit  Auto
Outfit Property CollegeExpertConjurationOutfitwBrownHood_KRY  Auto
Outfit Property CollegeExpertDestructionOutfitwBrownHood_KRY  Auto
Outfit Property MonkOutfitGreywBlackHood_KRY  Auto
Outfit Property MonkOutfitGreywGreyHood_KRY  Auto
Outfit Property CourtWizardOutfitwOrangeHood_KRY  Auto
Outfit Property CourtWizardOutfitwBlackHood_KRY  Auto
Outfit Property CourtWizardOutfitwGreenHood_KRY  Auto
Outfit Property MonkOutfitPlainwBlackHood_KRY Auto
Outfit Property MonkOutfitPlainwGreenHood_KRY Auto
Outfit Property MonkOutfitPlainwBrownHood_KRY Auto
Outfit Property MonkOutfitMaiqTheLair_KRY Auto
Outfit Property DefaultSleepOutfit Auto
Outfit Property MonkOutfit Auto
Outfit Property MonkOutfitNoHood Auto
Outfit Property CourtWizardOutfit Auto
Outfit Property ChildOutfitBabette_KRY Auto
Outfit Property ChildOutfit01 Auto
Outfit Property ChildOutfitDibella_KRY Auto
Outfit Property ChildOutfitSnow_KRY Auto

Actor Property Lortheim Auto
Actor Property Erandur Auto
Actor Property Maramal Auto
Actor Property Jora Auto
Actor Property Heimskr Auto
Actor Property Nura Auto
Actor Property Helgird Auto
Actor Property BrotherVerulus Auto
Actor Property Styrr Auto
Actor Property DanicaPureSpring Auto
Actor Property Senna Auto
Actor Property Orla Auto
Actor Property Anwen Auto
Actor Property SilanaPetreia Auto
Actor Property AcolyteJenssen Auto
Actor Property Hamal Auto
Actor Property Runil Auto
Actor Property Alessandra Auto
Actor Property Rorlund Auto
Actor Property Freir Auto
Actor Property Wylandriah Auto
Actor Property Wuunferth Auto
Actor Property SybilleStentor Auto
Actor Property FarengarSecretFire Auto
Actor Property Madena Auto
Actor Property Falion Auto
Actor Property Aicantar Auto
Actor Property Melaran Auto
Actor Property DA04Septimus Auto
Actor Property ParatusDecimius Auto
Actor Property GavrosPlinius Auto
Actor Property Dravynea Auto
Actor Property DA01Aranea Auto
Actor Property MaiqTheLiar Auto
Actor Property Andurs Auto
Actor Property Briehl Auto
Actor Property Dinya Auto 
Actor Property Fjotra Auto
Actor Property Babette Auto
Actor Property Aeta Auto
Actor Property Sofie Auto

Quest Property T01 Auto
Perk Property CCF_ClothingArmor Auto

Event OnInit()
	Actor Player = Game.GetPlayer()
	Player.AddPerk(CCF_ClothingArmor)

		Babette.Disable()
		Babette.SetOutfit(ChildOutfitBabette_KRY,false)
		Babette.SetOutfit(ChildOutfitBabette_KRY,true)
		Babette.Enable()

	if (T01.GetStageDone(200))
  		Fjotra.disable()
		Fjotra.SetOutfit(ChildOutfitDibella_KRY,false)
		Fjotra.SetOutfit(ChildOutfitDibella_KRY,true)
		Fjotra.enable()
	endIf

		Sofie.Disable()
		Sofie.SetOutfit(ChildOutfitSnow_KRY,false)
		Sofie.SetOutfit(ChildOutfitSnow_KRY,true)
		Sofie.Enable()

;the following NPCs are default using MonkOutfit.  
;MQ101ImperialPriest also changed but outfit was changed directly not via script 

	;set Priests of Arkay to wear monk robes w brown/black hood ... consider gray robes instead?
		Helgird.Disable()
		Helgird.SetOutfit(MonkOutfitArkayHallofDead_KRY,false)
		Helgird.SetOutfit(DefaultSleepOutfit,true)
		Helgird.Enable()
		BrotherVerulus.Disable()
		BrotherVerulus.SetOutfit(MonkOutfitArkayHallofDead_KRY,false)
		BrotherVerulus.SetOutfit(DefaultSleepOutfit,true)
		BrotherVerulus.Enable()
		Styrr.Disable()
		Styrr.SetOutfit(MonkOutfitArkayHallofDead_KRY,false)
		Styrr.Enable()

	;set Priests of Mara to wear monk robes w yellow hood 
		Erandur.Disable()
		Erandur.SetOutfit(MonkOutfitMara_KRY,false)
		Erandur.Enable()
		Maramal.Disable()
		Maramal.SetOutfit(MonkOutfitMara_KRY,false)
		Maramal.Enable()

	;set priests of Talos to wear blue robes w white yellow or blue hood and talos amulet
		Lortheim.Disable()
		Lortheim.SetOutfit(MonkOutfitBlueTaloswBlueHood_KRY,false)
		Lortheim.SetOutfit(DefaultSleepOutfit,true)
		Lortheim.Enable()
		Jora.Disable()
		Jora.SetOutfit(MonkOutfitBlueTaloswWhiteHood_KRY,false)
		Jora.SetOutfit(DefaultSleepOutfit,true)
		Jora.Enable()
		Heimskr.Disable()
		Heimskr.SetOutfit(MonkOutfitBlueTaloswBlueHood_KRY,false)
		Heimskr.SetOutfit(DefaultSleepOutfit,true)
		Heimskr.Enable()
		Nura.Disable()
		Nura.SetOutfit(MonkOutfitBlueTaloswBlackHood_KRY,false)
		Nura.Enable()

	;set MaiqTheLiar to wear monk robes w black hood
		MaiqTheLiar.SetOutfit(MonkOutfitMaiqTheLair_KRY,false)

	;set priests of Kynareth to wear green robes w green hood and kynareth amulet
		DanicaPureSpring.Disable()
		DanicaPureSpring.SetOutfit(MonkOutfitGreenKynarethwHood_KRY,false)
		DanicaPureSpring.SetOutfit(DefaultSleepOutfit,true)
		DanicaPureSpring.Enable()
	
	;set priestesses of Dibella to wear brown robes w orange or red hoods and diabella amulet
		Senna.Disable()
		Senna.SetOutfit(MonkOutfitBrownDiabellawHood_KRY,false)
		Senna.SetOutfit(DefaultSleepOutfit,true)
		Senna.Enable()
		Orla.Disable()
		Orla.SetOutfit(MonkOutfitBrownDiabellawHood_KRY,false)
		Orla.SetOutfit(DefaultSleepOutfit,true)
		Orla.Enable()
		Anwen.Disable()
		Anwen.SetOutfit(MonkOutfitBrownDiabellawHood_KRY,false)
		Anwen.SetOutfit(DefaultSleepOutfit,true)
		Anwen.Enable()

	;set priestesses of Divines to wear red robes w red hood and akatosh amulet
		SilanaPetreia.Disable()
		SilanaPetreia.SetOutfit(MonkOutfitRedAkatoshwRedHood_KRY,false)
		SilanaPetreia.Enable()

;the following NPCs are default using MonkOutfitNoHood.  
;left the following to use default MonkOutfitNoHood: Andurs-arkay, hall of dead whiterun 

	;set priests of Kynareth to wear green robes and kynareth amulet
		AcolyteJenssen.Disable()
		AcolyteJenssen.SetOutfit(MonkOutfitGreenKynarethNoHood_KRY,false)
		AcolyteJenssen.SetOutfit(DefaultSleepOutfit,true)
		AcolyteJenssen.Enable()

	;set priestesses of Dibella to wear brown robes and diabella amulet
		Hamal.Disable()
		Hamal.SetOutfit(MonkOutfitBrownDiabellaNoHood_KRY,false)
		Hamal.SetOutfit(DefaultSleepOutfit,true)
		Hamal.Enable()

	;set priests of Arkay to wear monk robes and amulet of arkay
		Runil.Disable()
		Runil.SetOutfit(MonkOutfitArkayHallofDeadNoHood_KRY,false)
		Runil.SetOutfit(DefaultSleepOutfit,true)
		Runil.Enable()
		Alessandra.Disable()
		Alessandra.SetOutfit(MonkOutfitArkayHallofDeadNoHood_KRY,false)
		Alessandra.Enable()

	;set priests of Mara to wear monk robes and amulet of mara
		Briehl.Disable()
		Briehl.SetOutfit(MonkOutfitMaraNoHood_KRY,false)
		Briehl.SetOutfit(DefaultSleepOutfit,true)
		Briehl.Enable()
		Dinya.Disable()
		Dinya.SetOutfit(MonkOutfitMaraNoHood_KRY,false)
		Dinya.Enable()


	;set priest of Divines to wear red robes and akatosh amulet
		Rorlund.Disable()
		Rorlund.SetOutfit(MonkOutfitRedAkatoshNoHood_KRY,false)
		Rorlund.Enable()
		Freir.Disable()
		Freir.SetOutfit(MonkOutfitRedAkatoshNoHood_KRY,false)
		Freir.Enable()

;the following NPCs are default using CourtWizardOutfit... originally blue robes, now changed to brown robes w brown hood.
;left the following to use default CourtWizardOutfit...originally blue robes, now changed to brown robes w brown hood
		;POIMageYisra, college student, MG07...Ghosts, MG03Caller, DBContractMaluril,

	;set Septimus to wear college master robes
		DA04Septimus.Disable()
		DA04Septimus.SetOutfit(CollegeMasterConjurationOutfitwBlackHood_KRY,false)
		DA04Septimus.Enable()
	;set Synod mages to wear college expert robes
		ParatusDecimius.Disable()
		ParatusDecimius.SetOutfit(CollegeExpertConjurationOutfitwBrownHood_KRY,false)
		ParatusDecimius.Enable()
		GavrosPlinius.Disable()
		GavrosPlinius.SetOutfit(CollegeExpertDestructionOutfitwBrownHood_KRY,false)
		GavrosPlinius.Enable()

	;set Dravynea to wear grey robes w grey hood
		Dravynea.Disable()
		Dravynea.SetOutfit(MonkOutfitGreywGreyHood_KRY,false)
		Dravynea.Enable()
	;set Aranea to wear grey robes w black hood
		DA01Aranea.Disable()
		DA01Aranea.SetOutfit(MonkOutfitGreywBlackHood_KRY,false)
		DA01Aranea.Enable()

	;set court wizards to wear brown robes with various colored hoods
		Wylandriah.Disable()
		Wylandriah.SetOutfit(CourtWizardOutfitwOrangeHood_KRY,false)
		Wylandriah.Enable()
		Wuunferth.Disable()
		Wuunferth.SetOutfit(CourtWizardOutfitwBlackHood_KRY,false)
		Wuunferth.Enable()
		SybilleStentor.Disable()
		SybilleStentor.SetOutfit(CourtWizardOutfitwBlackHood_KRY,false)
		SybilleStentor.Enable()
		FarengarSecretFire.Disable()
		FarengarSecretFire.SetOutfit(CourtWizardOutfitwGreenHood_KRY,false)
		FarengarSecretFire.Enable()
		Madena.Disable()
		Madena.SetOutfit(MonkOutfitPlainwBlackHood_KRY,false)
		Madena.Enable()
		Falion.Disable()
		Falion.SetOutfit(MonkOutfitPlainwGreenHood_KRY,false)
		Falion.Enable()

		Aicantar.Disable()
		Aicantar.SetOutfit(MonkOutfitPlainwBrownHood_KRY,false)
		Aicantar.Enable()
		Melaran.Disable()
		Melaran.SetOutfit(MonkOutfitPlainwBrownHood_KRY,false)
		Melaran.Enable()

;also change sleep outfit to Default Sleep Outfit Andurs		
		Andurs.Disable()
		Andurs.SetOutfit(DefaultSleepOutfit,true)
		Andurs.Enable()

;reset Aeta so her outfit updates
		Aeta.Disable()
		Aeta.Enable()
EndEvent



Function UninstallMod()
		Helgird.Disable()
		Helgird.SetOutfit(MonkOutfit,false)
		Helgird.Enable()
		BrotherVerulus.Disable()
		BrotherVerulus.SetOutfit(MonkOutfit,false)
		BrotherVerulus.Enable()
		Styrr.Disable()
		Styrr.SetOutfit(MonkOutfit,false)
		Styrr.Enable()
		Erandur.Disable()
		Erandur.SetOutfit(MonkOutfit,false)
		Erandur.Enable()
		Maramal.Disable()
		Maramal.SetOutfit(MonkOutfit,false)
		Maramal.Enable()
		Lortheim.Disable()
		Lortheim.SetOutfit(MonkOutfit,false)
		Lortheim.Enable()
		Jora.Disable()
		Jora.SetOutfit(MonkOutfit,false)
		Jora.Enable()
		Heimskr.Disable()
		Heimskr.SetOutfit(MonkOutfit,false)
		Heimskr.Enable()
		Nura.Disable()
		Nura.SetOutfit(MonkOutfit,false)
		Nura.Enable()
		MaiqTheLiar.SetOutfit(MonkOutfit,false)
		DanicaPureSpring.Disable()
		DanicaPureSpring.SetOutfit(MonkOutfit,false)
		DanicaPureSpring.Enable()
		Senna.Disable()
		Senna.SetOutfit(MonkOutfit,false)
		Senna.Enable()
		Orla.Disable()
		Orla.SetOutfit(MonkOutfit,false)
		Orla.Enable()
		Anwen.Disable()
		Anwen.SetOutfit(MonkOutfit,false)
		Anwen.Enable()
		SilanaPetreia.Disable()
		SilanaPetreia.SetOutfit(MonkOutfit,false)
		SilanaPetreia.Enable()
		AcolyteJenssen.Disable()
		AcolyteJenssen.SetOutfit(MonkOutfitNoHood,false)
		AcolyteJenssen.Enable()
		Hamal.Disable()
		Hamal.SetOutfit(MonkOutfitNoHood,false)
		Hamal.Enable()
		Runil.Disable()
		Runil.SetOutfit(MonkOutfitNoHood,false)
		Runil.Enable()
		Alessandra.Disable()
		Alessandra.SetOutfit(MonkOutfitNoHood,false)
		Alessandra.Enable()
		Rorlund.Disable()
		Rorlund.SetOutfit(MonkOutfitNoHood,false)
		Rorlund.Enable()
		Freir.Disable()
		Freir.SetOutfit(MonkOutfitNoHood,false)
		Freir.Enable()
		DA04Septimus.Disable()
		DA04Septimus.SetOutfit(CourtWizardOutfit,false)
		DA04Septimus.Enable()
		ParatusDecimius.Disable()
		ParatusDecimius.SetOutfit(CourtWizardOutfit,false)
		ParatusDecimius.Enable()
		GavrosPlinius.Disable()
		GavrosPlinius.SetOutfit(CourtWizardOutfit,false)
		GavrosPlinius.Enable()
		Dravynea.Disable()
		Dravynea.SetOutfit(CourtWizardOutfit,false)
		Dravynea.Enable()
		DA01Aranea.Disable()
		DA01Aranea.SetOutfit(CourtWizardOutfit,false)
		DA01Aranea.Enable()
		Wylandriah.Disable()
		Wylandriah.SetOutfit(CourtWizardOutfit,false)
		Wylandriah.Enable()
		Wuunferth.Disable()
		Wuunferth.SetOutfit(CourtWizardOutfit,false)
		Wuunferth.Enable()
		SybilleStentor.Disable()
		SybilleStentor.SetOutfit(CourtWizardOutfit,false)
		SybilleStentor.Enable()
		FarengarSecretFire.Disable()
		FarengarSecretFire.SetOutfit(CourtWizardOutfit,false)
		FarengarSecretFire.Enable()
		Madena.Disable()
		Madena.SetOutfit(CourtWizardOutfit,false)
		Madena.Enable()
		Falion.Disable()
		Falion.SetOutfit(CourtWizardOutfit,false)
		Falion.Enable()
		Aicantar.Disable()
		Aicantar.SetOutfit(CourtWizardOutfit,false)
		Aicantar.Enable()
		Melaran.Disable()
		Melaran.SetOutfit(CourtWizardOutfit,false)
		Melaran.Enable()
		Babette.Disable()
		Babette.SetOutfit(ChildOutfit01,false)
		Babette.SetOutfit(ChildOutfit01,true)
		Babette.Enable()
		Fjotra.Disable()
		Fjotra.SetOutfit(ChildOutfit01,false)
		Fjotra.SetOutfit(ChildOutfit01,true)
		Fjotra.Enable()
		Sofie.Disable()
		Sofie.SetOutfit(ChildOutfit01,false)
		Sofie.SetOutfit(ChildOutfit01,true)
		Sofie.Enable()
endFunction